Redmine - Feature #16930

Need Additional parameter for hook to enable Multi Factor Authentication Patch
2014-05-20 11:28 - Mani Malekmohammadi

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Hook requests Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description

| developed a plugin for one of our clients in order to enable multi factor Authentication for their Redmine users, here is the plugin:
https://github.com/acceptto-corp/acceptto-mfa-redmine-plugin

In order to enable multi factor login after login we redirect users to another page waiting to accept login on his/her device in a mobile
application. for redirecting to another page after login | need to have access to params in Account_controller:

diff --git a/app/controllers/account_controller.rb b/app/controllers/account_controller.rb
index ed38eea..4762d64 100644
-—-— a/app/controllers/account_controller.rb
+++ b/app/controllers/account_controller.rb
@@ -255,7 +255,7 @@ class AccountController < ApplicationController

if params[:autologin] && Setting.autologin?

set_autologin_cookie (user)

end
. call_hook (:controller_account_success_authentication_after, {:user => user })
+ call_hook (:controller_account_success_authentication_after, {:user => user, :params => params

redirect_back_or_default my_page_path
end

1.8.4

Is it possible to include 'param' in hook parameters? | don't want to patch anything and just use plugin for easier upgrades.

Associated revisions

Revision 13394 - 2014-09-13 13:09 - Jean-Philippe Lang
Adds a test for default context of controller hooks (#16930).

History

#1 - 2014-05-20 14:19 - Mani Malekmohammadi

@From a303e0c0c7£60d0387dc781£79dc0edlff04fc5¢c Mon Sep 17 00:00:00 2001
From: mani47 <mm.mani@gmail.com>

Date: Sat, 17 May 2014 18:27:38 +04304&

Subject: [PATCH] patching redmine to enable mfa

app/controllers/account_controller.rb | 2 +-
1 file changed, 1 insertions(+), 1 deletion(-)

diff --git a/app/controllers/account_controller.rb b/app/controllers/account_controller.rb
index ed38eea..4762d64 100644
—-—— a/app/controllers/account_controller.rb
+++ b/app/controllers/account_controller.rb
@@ -255,7 +255,7 Q@ class AccountController < ApplicationController
if params[:autologin] && Setting.autologin?
set_autologin_cookie (user)

end
= call_hook (:controller_account_success_authentication_after, {:user => user })
+ call_hook (:controller_account_success_authentication_after, {:user => user, :params => params})
redirect_back_or_default my_page_path
end
https://github.com/acceptto-corp/acceptto-mfa-redmine-plugin

1.8.4
@

#2 - 2014-05-24 14:00 - Jean-Philippe Lang

- Target version set to 2.6.0

#3 - 2014-06-18 07:35 - Toshi MARUYAMA

- Description updated

#4 - 2014-09-13 13:12 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version deleted (2.6.0)

- Resolution set to Wont fix

Actually, adding :params to the context of controller hooks is not needed. The request is automatically added to the context of these hooks (see:
source:/tags/2.5.0/lib/redmine/hook.rb#l 149).

You can use context[:request].params in your hook to access the params (test added in r13394).

2025-06-22 22


https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.0/lib/redmine/hook.rb#L149
https://www.redmine.org/projects/redmine/repository/svn/revisions/13394
http://www.tcpdf.org

